A Karnaugh map is an alternative to a truth table for representing a function in boolean algebra, and serve as a way to derive minimum cost circuits for a truth table.

![[karnaugh-maps.png]]

Given the above truth table, the columns are labelled with $x_1$, and the rows are labelled with $x_2$.

To find a minimum cost implementation, we need to find the smallest number of product terms that should produce a 1 for all instances where $m = 1$

In the above example, 
![[Pasted image 20250224104550.png]]
